# List invoices ## ▶️ Usage With the List Invoices method, you can: 1. List invoices related to a specific link.id (using the link query parameter). 2. Get the details of a specific invoice.id (using the id query parameter). 3. [Not Recommended] List all invoices related to your Belvo account (without using any query parameters). ## 📖 Pagination This method returns a paginated response (default: 100 items per page). You can use the page_size query parameter to increase the number of items returned to a maximum of 1000 items. You can use the page query parameter to navigate through the results. For more details on how to navigate Belvo's paginated responses, see our Pagination Tips article. ## 🔦 Filtering Responses Please see the query list below for a list of fields that you can filter your responses by. For more information on how to use filters, see our Filtering responses article. Endpoint: GET /api/cl/invoices/ Version: 1.223.0 Security: basicAuth ## Query parameters: - `link` (string) The link.id you want to filter by. ℹ️ We highly recommend adding the link.id filter in order to improve your performance. Example: "8848bd0c-9c7e-4f53-a732-ec896b11d4c4" - `page_size` (integer) Indicates how many results to return per page. By default we return 100 results per page. ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000). Example: 100 - `page` (integer) A page number within the paginated result set. Example: 1 - `omit` (string) Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article. - `fields` (string) Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article. - `link__in` (array) Return results only for these link.ids. Example: ["5722d0ba-69d7-42dc-8ff5-33767b83c5d6"] - `id` (string) Return information only for this resource id. Example: "24ccab1d-3a86-4136-a6eb-e04bf52b356f" - `id__in` (array) Return information for these resource ids. Example: ["6b3dea0f-be29-49d1-aabe-1a6d588642e6"] - `created_at` (string) Return items that were last updated in Belvo's database on this date (in YYYY-MM-DD format). Example: "2022-05-05" - `created_at__gt` (string) Return items that were last updated in Belvo's database after this date (in YYYY-MM-DD format). Example: "2022-05-05" - `created_at__gte` (string) Return items that were last updated in Belvo's database after or on this date (in YYYY-MM-DD format). Example: "2022-05-04" - `created_at__lt` (string) Return items that were last updated in Belvo's database before this date (in YYYY-MM-DD format). Example: "2022-04-01" - `created_at__lte` (string) Return items that were last updated in Belvo's database before or on this date (in YYYY-MM-DD format). Example: "2022-03-30" - `created_at__range` (array) Return accounts that were last updated in Belvo's database between two dates (in YYYY-MM-DD format). The first value indicates the start of the range and the second value indicates the end of the range. Example: ["2022-01-01","2022-12-31"] ## Response 200 fields (application/json): - `count` (integer) The total number of results in your Belvo account. Example: 130 - `next` (string,null) The URL to next page of results. Each page consists of up to 100 items. If there are not enough results for an additional page, the value is null. In our documentation example, we use {endpoint} as a placeholder value. In production, this value will be replaced by the actual endpoint you are currently using (for example, accounts or owners). Example: "https://sandbox.belvo.com/api/{endpoint}/?link=1bd948f7-245d-4313-b604-34d1044cb908page=2" - `previous` (string,null) The URL to the previous page of results. If there is no previous page, the value is null. - `results` (array) Array of invoice objects. - `results.id` (string) Belvo's unique identifier for the current item. Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d" - `results.link` (string,null) The link.id the data belongs to. Example: "30cb4806-6e00-48a4-91c9-ca55968576c8" - `results.created_at` (string) The ISO-8601 timestamp of when the data point was created in Belvo's database. Example: "2022-02-09T08:45:50.406032Z" - `results.collected_at` (string) The ISO-8601 timestamp when the data point was collected. Example: "2022-02-09T08:45:50.406032Z" - `results.total_amount` (number) The total amount of the invoice, including VAT and other taxes or charges. Example: 3272500.02 - `results.net_amount` (number) The total invoice amount after VAT and other taxes. Example: 2750000.02 - `results.vat_amount` (number) The total VAT amount of the invoice. Example: 522500.02 - `results.currency` (string) The three-letter currency code (ISO-4217) of the invoice. Example: "CLP" - `results.issue_date` (string) The date that the invoice was issued, in YYYY-MM-DD format. Example: "2024-09-23" - `results.received_at` (string) The ISO-8601 timestamp of when the invoice was received. Example: "2024-09-02T15:23:47-03:00" - `results.acknowledged_at` (string) The ISO-8601 timestamp of when the invoice was acknowledged as received. Example: "2024-09-02T15:23:47-03:00" - `results.claim_date` (string,null) The date when a claim or dispute was raised about the invoice, in YYYY-MM-DD format. - `results.status` (string) The status of the invoice. Can be either: - REGISTERED - PENDING - REJECTED - CANCELLED Example: "REGISTERED" - `results.document_code` (integer) A code that indicates whether the document is a invoice, a credit or debit note, and so on. Example: 33 - `results.category` (string) The category of the invoice, according to the institution. Example: "Del Giro" - `results.folio` (string) The institution's unique code for the invoice. Example: "23559723" - `results.sender_id` (string) The identification number of the sender. For SII Chile, this is the RUT. Example: "59324768-2" - `results.sender_name` (string) The registered name of the sender. Example: "Cafe del Sur" - `results.receiver_id` (string) The identification number of the receiver. For SII Chile, this is the RUT. Example: "82136549-6" - `results.receiver_name` (string) The registered name of the receiver. Example: "Alejandra Gonzalez" - `results.type` (string) Indicates whether the invoice is an INFLOW or OUTFLOW. Enum: "INFLOW", "OUTFLOW" - `results.purchase_invoice_details` (object,null) Details regarding the purchase invoice. If the invoice is a sales invoice (type = OUTFLOW), this field will return null. - `results.purchase_invoice_details.vat_refundable_amount` (number,null) The amount of VAT paid that is eligible to be claimed back as a tax credit. Example: 300.02 - `results.purchase_invoice_details.vat_non_refundable_amount` (number,null) The amount of VAT paid that cannot be claimed back as a tax credit. Example: 20.02 - `results.purchase_invoice_details.vat_non_refundable_code` (integer,null) A code that identifies the reason why the VAT is not recoverable. Example: 90 - `results.purchase_invoice_details.net_amount_fixed_assets` (number,null) The net value of the purchased fixed assets. Example: 8000.02 - `results.purchase_invoice_details.vat_fixed_assets` (number,null) The VAT value on the purchase of fixed assets. Example: 80.02 - `results.purchase_invoice_details.vat_common_use` (number,null) The VAT that applies to purchases used for both taxable and non-taxable purposes. Example: 129.02 - `results.purchase_invoice_details.tax_non_credit_amount` (number,null) The tax amount that cannot be claimed as a credit. Example: 5.02 - `results.purchase_invoice_details.vat_non_withheld` (number,null) The VAT amount that was not withheld by the purchaser. Example: 8.02 - `results.purchase_invoice_details.tax_exempt_amount` (number,null) The portion of the purchase that is exempt from VAT. Example: 33.02 - `results.purchase_invoice_details.credit_or_debit_note_on_purchase` (boolean,null) Indicates whether the invoice is linked with a credit or debit note. - `results.purchase_invoice_details.tax_cigarettes_amount` (number,null) The total tax amount applied on cigarettes. Example: 50.02 - `results.purchase_invoice_details.tax_cigar_amount` (number,null) The total tax amount applied on cigars. Example: 51.02 - `results.purchase_invoice_details.tax_processed_tobacco_amount` (number,null) The total tax amount applied on processed tobacco. Example: 49.02 - `results.purchase_invoice_details.additional_tax_amount` (number,null) The total tax amount of the additional tax. Example: 1005.02 - `results.purchase_invoice_details.additional_tax_rate` (string,null) The tax rate of the additional tax. Example: "2.1" - `results.purchase_invoice_details.additional_tax_code` (integer,null) The tax code for the additional tax. Example: 50993 - `results.sales_invoice_details` (object,null) Details regarding the sales invoice. If the invoice is a purchase invoice (type = INFLOW), this field will return null. - `results.sales_invoice_details.construction_sector_tax_credit` (number,null) The amount of tax credit applicable for construction companies. Example: 50000.02 - `results.sales_invoice_details.tax_free_trade_zone_amount` (number,null) Tax applicable for transactions in free trade zones. Example: 38490.02 - `results.sales_invoice_details.container_deposit_guarantee` (number,null) Refers to deposits or guarantees on containers, if applicable. Example: 0.02 - `results.sales_invoice_details.is_free_of_charge` (boolean,null) Indicated whether or not this sale was made at no cost (for example, the invoice is for promotional material, periodic free-of-charge resupplies, and similar). - `results.sales_invoice_details.periodic_billing_type` (boolean,null) Marks if the invoice is for periodic services. - `results.sales_invoice_details.non_billable_amount` (number,null) The portion of the transaction that is not billable. Example: 40.02 - `results.sales_invoice_details.total_amount_for_period` (number,null) The total amount for a specific period, often used for periodic billing. - `results.sales_invoice_details.domestic_transportation_amount` (number,null) The total amount spent on domestic transportation. Example: 67.02 - `results.sales_invoice_details.international_transportation_amount` (number,null) The total amount spent on international transportation. Example: 56.02 - `results.sales_invoice_details.branch_code` (integer,null) The code of the fiscal branch where the sales invoice was issued. Example: 76129014 - `results.sales_invoice_details.tax_exempt_amount` (number,null) The portion of the sale that is exempt from VAT. Example: 4000.02 - `results.sales_invoice_details.vat_total_withheld` (number,null) The total VAT withheld. Example: 33.02 - `results.sales_invoice_details.vat_partially_withheld` (number,null) The amount of VAT partially withheld. Example: 30.02 - `results.sales_invoice_details.vat_non_withheld` (number,null) The amount of VAT that was not withheld. Example: 40.02 - `results.sales_invoice_details.vat_sales` (number,null) The VAT amount corresponding to the seller's own sales. Example: 100.02 - `results.sales_invoice_details.vat_third_party` (number,null) VAT amount related to third-party sales if acting as an intermediary. Example: 1000.02 - `results.sales_invoice_details.vat_past_due` (number,null) VAT that is accounted for or paid after the due date. Example: 31.02 - `results.sales_invoice_details.invoice_settlement_sender_id` (string,null) The RUT of the entity that issued the settlement for the invoice. Example: "55524768-7" - `results.sales_invoice_details.invoice_settlement_net_commission` (number,null) The net amount of commission in the invoice settlement. Example: 54.02 - `results.sales_invoice_details.invoice_settlement_exempt_commission` (number,null) The portion of the commission in the invoice settlement that is exempt from tax. Example: 16.02 - `results.sales_invoice_details.invoice_settlement_vat_commission` (number,null) VAT charged on the commission amount in the invoice settlement. Example: 78.02 - `results.sales_invoice_details.reference_document_type` (string,null) Indicates the type of document that this invoice refers to or is linked with. - `results.sales_invoice_details.reference_document_folio` (string,null) The folio number of the document referred to. - `results.sales_invoice_details.foreign_recipient_id` (string,null) The identification number of a foreign individual. Example: "JANM-7820234" - `results.sales_invoice_details.foreign_recipient_nationality` (string,null) The nationality of the foreign individual. Example: "Peru" - `results.summary_invoice_details` (object) Details regarding the summary of BOLETA_ELECTRONICA or COMPROBANTE_PAGO invoices. - `results.summary_invoice_details.month` (string) The year and month of the invoices, in YYYY-MM format. Example: "2024-08" - `results.summary_invoice_details.updated_at` (string) The ISO-8601 timestamp of when the list of invoices was last updated. Example: "2024-09-02T15:23:47-03:00" - `results.summary_invoice_details.total_documents` (integer) The total number of invoices in the summary. Example: 23 - `results.summary_invoice_details.tax_exempt_amount` (number) The total invoice value (from all invoices in the summary) that is exempt from VAT. Example: 4000.02 ## Response 403 fields (application/json): - `code` (string) A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied. Example: "access_to_resource_denied" - `message` (string) A short description of the error. For access_to_resource_denied errors, the description is: - You don't have access to this resource.. Example: "You don't have access to this resource." - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 404 fields (application/json): - `code` (string) A unique error code (not_found) that allows you to classify and handle the error programmatically. Example: "not_found" - `message` (string) A short description of the error. For not_found errors, the description is: - Not found Example: "Not found" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 408 fields (application/json): - `code` (string) A unique error code (request_timeout) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors. Example: "request_timeout" - `message` (string) A short description of the error. For request_timeout errors, the description is: - The request timed out, you can retry asking for less data by changing your query parameters. Example: "The request timed out, you can retry asking for less data by changing your query parameters" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 500 fields (application/json): - `code` (string) A unique error code (unexpected_error) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors. Example: "unexpected_error" - `message` (string) A short description of the error. For unexpected_error errors, the description is: - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution. Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb"